OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Perl For Open Zaurus 3.5.3?, Does someone have a working perl?
Zismylaptop
post May 22 2005, 04:09 PM
Post #1





Group: Members
Posts: 12
Joined: 31-July 04
From: Needham, MA, USA
Member No.: 4,168



I've used a 2002 (Jan 17) build of Perl 5.6.1 with great success with the Sharp rom. I don't remember where I found it. However, when installed under 3.5.3 (Opie) and called via "perl -v" it respoonds with "Illegal instruction" and returns to the bash prompt.

I remember once seeing a 5.8 arm.ipk that worked with an early version of opie, but it was relatively huge. But I don't know where I saw it, either.

Anybody have one? It shouldn't be hard to generate an ipk (if you know how to do these things) since it's natively unix.

Thanks.
Go to the top of the page
 
+Quote Post
Mickeyl
post May 23 2005, 12:38 AM
Post #2





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



The OE team has been struggeling against perl's obfuscated build system for long. Would you like to take a stab at finishing our .bb files?
Go to the top of the page
 
+Quote Post
pgas
post May 23 2005, 03:48 AM
Post #3





Group: Members
Posts: 1,099
Joined: 17-December 03
From: Athens, Greece
Member No.: 1,210



Perhaps you can try the one from pdaxrom?

http://212.10.30.205/rc10/Zaurus-7x0-860/f....5_armv5tel.ipk

and report if the libs are more or less compatible. (I believe pdaxrom ipks could work on oz as oz generally uses more up to date version and as they both use soft float point)

Perhaps the patches for the pdaxrom build system

http://pdaxrom.spy.org/patches-local/perl-5.8.5/

are interesting for the oe team.
Go to the top of the page
 
+Quote Post
koen
post May 23 2005, 04:23 AM
Post #4





Group: Members
Posts: 1,014
Joined: 4-January 05
From: Enschede, The Netherlands
Member No.: 6,107



QUOTE(pgas @ May 23 2005, 11:48 AM)
Perhaps you can try the one from pdaxrom?

http://212.10.30.205/rc10/Zaurus-7x0-860/f....5_armv5tel.ipk

and report if the libs are more or less compatible. (I believe pdaxrom ipk could work on oe as oe generally uses more up to date version and as they both use soft float point)
*


OE is a buildsystem. It can't use ipkgs, and deals with source. Using soft or hardfloat is a distribution decision, not something inherent to OE. Take a look at Familiar Linux, that's being built with OE but uses hardfloat.
Go to the top of the page
 
+Quote Post
pgas
post May 23 2005, 04:34 AM
Post #5





Group: Members
Posts: 1,099
Joined: 17-December 03
From: Athens, Greece
Member No.: 1,210



The first part of my reply was for Zismylaptop who was looking for an ipk.
Go to the top of the page
 
+Quote Post
koen
post May 23 2005, 04:40 AM
Post #6





Group: Members
Posts: 1,014
Joined: 4-January 05
From: Enschede, The Netherlands
Member No.: 6,107



QUOTE(pgas @ May 23 2005, 12:34 PM)
The first part of  my reply was for Zismylaptop who was looking for an ipk.
*


You said:

QUOTE
I believe pdaxrom ipk could work on oe


to which I replied stating that OE is a buildsystem. I was correcting a nonsense statement, so it doesn't matter to whom the original statement was directed.
Go to the top of the page
 
+Quote Post
pgas
post May 23 2005, 04:41 AM
Post #7





Group: Members
Posts: 1,099
Joined: 17-December 03
From: Athens, Greece
Member No.: 1,210



ah ok I meant oz not oe. I have edited my post.
Go to the top of the page
 
+Quote Post
Zismylaptop
post May 23 2005, 08:32 AM
Post #8





Group: Members
Posts: 12
Joined: 31-July 04
From: Needham, MA, USA
Member No.: 4,168



Thanks,

I downloaded the ipkg from pdxarom, but this is what I got.

CODE
root@kmcollie:/# ipkg install /media/card/3.5.3-ipks/perl_5.8.5_armv5tel.ipk
Clearing state_want and state_flag for pkg=perl (arch_priority=0 flag=16 want=2)
Nothing to be done
An error ocurred, return value: 4.
Collected errors: Cannot find package perl.
Check the spelling or perhaps run 'ipkg update'
root@kmcollie:/#  


Are you all saying that the "Illegal instruction" is due to something about floating point? I know that the floating point behavior of the 5.6.1 perl I have been using on Sharp rom is quite abysmal.
Go to the top of the page
 
+Quote Post
Mickeyl
post May 23 2005, 09:14 AM
Post #9





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



pdaxrom compiles packages for armv5tel, these don't work on armv4 (collie).
Go to the top of the page
 
+Quote Post
Jinidog
post May 24 2005, 12:57 PM
Post #10





Group: Members
Posts: 76
Joined: 25-April 05
From: Berlin, Germany
Member No.: 6,985



When I installed gentoo on my poodle, perl and libperl compiled fine with an arm-gcc-3.3.4.
It did not compile with gcc-3.4.3.
Just to let you know smile.gif
Go to the top of the page
 
+Quote Post
Zismylaptop
post May 24 2005, 04:33 PM
Post #11





Group: Members
Posts: 12
Joined: 31-July 04
From: Needham, MA, USA
Member No.: 4,168



Mickey,

What is it that is hard about distributing perl? It seems to me there are three parts: compilation of the base package; choosing, gathering, and compiling the .pm's to distribute with it; and allowing the user to extend via CPAN. I doubt that the first step is the problem.

Although I've been a software developer for more years than many of our forum colleagues have been alive, I've had little to do with any unix systems and don't have a readily available linux box. Nevertheless, if I can help you, even to the extent of unsnarling obscure perl-isms for someone else to bit-bake, I'd be interested in trying.

Thanks
Go to the top of the page
 
+Quote Post
koen
post May 25 2005, 12:01 AM
Post #12





Group: Members
Posts: 1,014
Joined: 4-January 05
From: Enschede, The Netherlands
Member No.: 6,107



One of the problems we are facing is perl's tendency to hardcode paths during compilation: http://bugs.openembedded.org/show_bug.cgi?id=7
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 28th November 2014 - 06:40 AM